Seleziona categoria
Panoramica Aiuto Contatti
print article

1&1 PHP Extended Support

Le versioni PHP 4, 5.2, 5.4 e 5.5 sono obsolete e non saranno ulteriormente sviluppate. Per questo motivo la Community PHP non offre più assistenza e aggiornamenti di sicurezza relativamente a tali versioni.

1&1 PHP Extended Support garantisce a tutti i clienti che desiderano o devono utilizzare queste versioni il funzionamento illimitato del servizio fino al cambio con una versione più aggiornata di PHP.

Se nel tuo contratto 1&1 Hosting utilizzi ancora gli script PHP 4, PHP 5.2/4/5, verrai informato per e-mail che il supporto tecnico è garantito solo nell'ambito del PHP Extended Support.

Perché viene addebitato il PHP Extended Support?

1. Nel tuo spazio web utilizzi una versione di PHP non più supportata. Se desideri modificare questa impostazione per ogni dominio, vai nella tua Area Clienti 1&1, scegli il dominio e poi clicca su Modifica versione PHP. Raccomandiamo di utilizzare sempre una versione aggiornata di PHP. Adesso è disponibile la versione PHP 7.

2. Non hai ricevuto alcuna comunicazione per e-mail sul nostro PHP Extended Support. Forse ti è sfuggita la nostra e-mail. Verifica che l'indirizzo di e-mail che ci hai comunicato sia valido e, se necessario, inseriscine uno corretto. Solo in questo modo saremo in grado di fornirti un servizio impeccabile.

A cosa serve il 1&1 PHP Extended Support?

Attraverso svariati controlli di sicurezza i nostri amministratori si sono impegnati per realizzare un adeguamento alle versioni obsolete di PHP. Il PHP Extended Support è un servizio speciale che mettiamo a disposizione dei nostri clienti titolari di contratti già esistenti. La gestione delle versioni non più attuali di PHP richiede spese di gestione addizionali per i nostri sistemi, spese che noi fatturiamo come prestazioni addizionali con una quota mensile minima.

Immaginando che avrai ancora bisogno degli script PHP4 o PHP5.x, abbiamo già attivato il PHP Extended Support per il tuo contratto. In questo modo i tuoi script PHP funzioneranno senza problemi anche in futuro. Ti abbiamo già inviato una e-mail informativa a riguardo.

Quando inizia il 1&1 PHP Extended Support?

1&1 PHP Extended Support inizia nel momento in cui la Community PHP smette di fornire il relativo supporto. I primi 6 mesi del PHP Extended Support sono gratuiti. Nella Community puoi trovare maggiori dettagli sulle varie fasi di supporto PHP e sull'intero ciclo di vita di PHP.

In ogni caso ti consigliamo di utilizzare sempre una versione aggiornata di PHP perché migliora notevolmente le prestazioni del tuo sito.


Come capire se PHP Extended Support è necessario?
Esegui il seguente test:

Se tutto funziona come desiderato, non hai bisogno di PHP Extended Support. Per disdire il servizio, contatta il nostro reparto fatturazione.

Dopo la modifica gli script non funzionano più?

Nell'Area Clienti 1&1 riattiva la versione PHP originale e mettiti in contatto con un esperto. Può darsi che la tua applicazione senza l'adeguamento dello script non sia compatibile con la versione PHP 5.x.

Desideri adeguare i tuoi script PHP in base a una versione più aggiornata di PHP, però hai bisogno di più tempo. Cosa fare?

Prima di tutto esegui il test per capire se un adeguamento degli script è necessario. Molti script vengono eseguiti senza problemi con PHP 5.6. Se nel tuo caso sono necessario ulteriori adeguamenti, mettiti in contatto con la nostra assistenza clienti per concordare i tempi necessari.


Hai ancora script delle vecchie versioni PHP che vuoi utilizzare con 1&1?

Per definire i dettagli sull'utilizzo degli script per il tuo contratto, ti consigliamo di metterti in contatto con la nostra Assistenza Clienti.


Importante:
Per ulteriori informazioni, visita la nostra Community.